import java.io.File;
import java.io.IOException;

import com.objectxp.msg.GsmSmsService;
import com.objectxp.msg.MessageEvent;
import com.objectxp.msg.MessageEventListener;
import com.objectxp.msg.MessageException;
import com.objectxp.msg.SmsService;

/**
 * This examples demonstrates how to receive SMS using jSMS
 */
public class ReceiveExample implements MessageEventListener
{
  public void handleMessageEvent(MessageEvent event) 
  {
    if (event.getType() == MessageEvent.MESSAGE_RECEIVED) {
      System.out.println("Received message is: " + event.getMessage());
    } else {
      System.out.println("Event received: "+event);
    }
  }
  
  public static void main(String args[]) throws IOException, MessageException 
  {
    if(args.length != 1 ) {
      System.err.println("Usage: ReceiveExample <config-file>");
      System.exit(1);
    }
    
    File config = new File(args[0]);
    SmsService service = new GsmSmsService();
    
    try {
      service.init(config);
      service.addMessageEventListener(new ReceiveExample());
      
      service.connect();
      service.startReceiving();
      
      System.out.print("Press any key to stop receiving messages");
      System.in.read();
      
      service.stopReceiving();
      service.disconnect();
    } finally {
      service.destroy();
    }
  }
}
