import java.io.File;
import java.io.IOException;

import com.objectxp.msg.GsmHelper;
import com.objectxp.msg.GsmSmsService;
import com.objectxp.msg.MessageException;
import com.objectxp.msg.SmsMessage;
import com.objectxp.msg.SmsService;

/**
 * Example to send a SMS containing binary data.
 */
public class SendDataMessage 
{
  public static void main(String[] args) throws IOException, MessageException 
  {
    if(args.length != 2 ) {
      System.err.println("Usage: SendDataMessage <config-file> <recipient>");
      System.exit(1);
    }
    
    SmsService service = new GsmSmsService();
    service.init(new File(args[0]));
    
    // create data SmsMessage
    SmsMessage msg = new SmsMessage();
    byte[] data = GsmHelper.decodeIA5("01FF34DF");
    msg.setUserData(data);
    msg.setCodingGroup(SmsMessage.DC_GROUP_DATA);      
    msg.setAlphabet(SmsMessage.DC_8BIT);
    msg.setRecipient(args[1]);

    // connect, send message and disconnect 
    try {
      service.connect();
      service.sendMessage(msg);
      service.disconnect();
    } finally {
      service.destroy(); 
    }
  }
}
