import java.io.File;
import java.io.IOException;

import com.objectxp.msg.GsmSmsService;
import com.objectxp.msg.MessageException;
import com.objectxp.msg.SmsMessage;
import com.objectxp.msg.SmsService;

/**
 * This example demonstrates how to send a Text SMS using jSMS. 
 */
public class SendSMS 
{
  public static void main(String[] args) throws IOException, MessageException 
  {
    if(args.length != 2 ) {
      System.err.println("Usage: SendSMS <config-file> <recipient>");
      System.exit(1);
    }
    
    // Create and initialize the SmsService (Replace GsmSmsService with
    // the SmsService Implementation of your choice).
    SmsService service = new GsmSmsService();
    service.init(new File(args[0]));

    // create message
    SmsMessage msg = new SmsMessage();
    msg.setRecipient(args[1]);
    msg.setMessage("Hello World");

    // connect, send message and disconnect 
    try {
      service.connect();
      service.sendMessage(msg);
      service.disconnect();
    } finally {
      service.destroy(); 
    }
  }
}
