import java.io.File;
import java.io.IOException;
import java.util.Date;

import com.objectxp.msg.GsmSmsService;
import com.objectxp.msg.MessageException;
import com.objectxp.msg.SmsService;
import com.objectxp.msg.ota.ServiceIndication;


/**
 * This example demonstrates how to send a ServiceIndication (SI) message.
 */
public class SendServiceIndication 
{
   public static void main(String[] args) throws IOException, MessageException 
   {
      if(args.length != 4 ) {
         System.err.println("Usage: SendServiceIndication <config-file> <recipient> <url> <message>");
         System.exit(1);
      }

      // Create and initialize the SmsService (replace GsmSmsService with the SmsService Implementation of your choice).
      SmsService service = new GsmSmsService();
      service.init(new File(args[0]));


      // create ServiceIndication
      ServiceIndication si = new ServiceIndication(args[2], args[3]);
      si.setRecipient(args[1]);
      si.setCreated(new Date());
      // connect, send message and disconnect 
      try {
         service.connect();
         service.sendMessage(si);
         service.disconnect();
      } finally {
         service.destroy(); 
      }
   }
}
