import java.io.File;
import java.io.IOException;
import com.objectxp.msg.GsmSmsService;
import com.objectxp.msg.MessageException;
import com.objectxp.msg.SmsService;
import com.objectxp.msg.ota.ServiceLoading;


/**
 * This example demonstrates how to send a ServiceLoading (SL) message.
 */
public class SendServiceLoading 
{
   public static void main(String[] args) throws IOException, MessageException 
   {
      if(args.length != 4 ) {
         System.err.println("Usage: SendServiceLoading <config-file> <recipient> <url> <action>");
         System.err.println("  <action>: one of \"execute-low\", \"execute-high\", \"cache\"");
         System.exit(1);
      }

      // Create and initialize the SmsService (Replace GsmSmsService with the SmsService Implementation of your choice).
      SmsService service = new GsmSmsService();
      service.init(new File(args[0]));


      // create ServiceIndication
      ServiceLoading sl = new ServiceLoading(args[2], args[3]);
      sl.setRecipient(args[1]);
      // connect, send message and disconnect 
      try {
         service.connect();
         service.sendMessage(sl);
         service.disconnect();
      } finally {
         service.destroy(); 
      }
   }
}
