import java.awt.Image;
import java.awt.Toolkit;
import java.io.File;
import java.io.IOException;
import java.net.URL;

import com.objectxp.msg.GsmSmsService;
import com.objectxp.msg.MessageException;
import com.objectxp.msg.SmsService;
import com.objectxp.msg.smart.PictureMessage;

/**
 * This example demonstrates how to send Picture Messages using jSMS. 
 * The maximum size of the picture may be 28x72 pixels. 
 */
public class SendSmartPicture 
{
  public static void main(String args[]) throws IOException, MessageException
  {
    if(args.length != 2 ) {
      System.err.println("Usage: SendSmartPicture <config-file> <recipient>");
      System.exit(1);
    }
    
    // Create and initialize the SmsService (Replace GsmSmsService with
    // the SmsService Implementation of your choice).
    SmsService service = new GsmSmsService();
    service.init(new File(args[0]));


    URL url = SendSmartPicture.class.getResource("/media/logo.gif");
    Image img = Toolkit.getDefaultToolkit().getImage(url);
    
    // create picture message
    PictureMessage picture = new PictureMessage();
    picture.setPictureMessage("Hello World",img);
    picture.setRecipient(args[1]);

    // connect, send message and disconnect 
    try {
      service.connect();
      service.sendMessage(picture);
      service.disconnect();
    }
    finally {
      service.destroy(); 
    }
  }
}
