import java.io.File;
import java.io.IOException;

import com.objectxp.msg.GsmSmsService;
import com.objectxp.msg.MessageException;
import com.objectxp.msg.SmsService;
import com.objectxp.msg.smart.VCalendar;

/**
 * This example demonstrates how to send Calendar Entries using jSMS.
 */
public class SendSmartVCalendar 
{
  public static void main(String args[]) throws IOException, MessageException
  {
    if(args.length != 2 ) {
      System.err.println("Usage: SendSmartVCalendar <config-file> <recipient>");
      System.exit(1);
    }
    
    // Create and initialize the SmsService (Replace GsmSmsService with
    // the SmsService Implementation of your choice).
    SmsService service = new GsmSmsService();
    service.init(new File(args[0]));

    VCalendar vc = new VCalendar();
    vc.setRecipient(args[1]);
    
    vc.setSummary("Business Lunch");
    vc.setDescription("meet your clients");
    vc.setStart("20030815","123000");
    vc.setEnd("20030815","140000");

    // connect, send message and disconnect 
    try {
      service.connect();
      service.sendMessage(vc);
      service.disconnect();
    }
    finally {
      service.destroy(); 
    }
  }
}
