package mms.mm7.standalone;

import java.io.File;
import com.objectxp.mms.MMSDeliveryReport;
import com.objectxp.mms.MMSListener;
import com.objectxp.mms.MMSNotification;
import com.objectxp.mms.MMSReadReport;
import com.objectxp.mms.MMSStatus;
import com.objectxp.mms.MMSService;
import com.objectxp.mms.MMSServiceFactory;
import com.objectxp.mms.message.MMSMessage;


/**
 * This example demonstrates how to receive a MultiMediaMessage (MMS) over MM7.
 * 
 */
public class MM7ReceiveExample implements MMSListener
{
  
  public static void main(String[] args) throws Exception
  {
    MMSService mmsService=null;
    
    if(args.length < 1 ) {
      System.err.println("Usage: MM7ReceiveExample <configfile> [service-name]");
      System.exit(1);
    }
    
    // Construct a MMS Service and set the Listener for this service:
    MMSServiceFactory factory = MMSServiceFactory.createFactory(new File(args[0]));
    mmsService = factory.getService(args[1]!=null?args[1]:null);
    mmsService.setListener(new MM7ReceiveExample());
    
    // Start listening for incoming MM7 requests
    mmsService.connect();
    
    // Wait for key-press
    System.out.println("Hit any key to stop receiving MMS...");
    while( System.in.available() < 1 ) {
      Thread.sleep(1000);
    }
    
    mmsService.disconnect();
  }


  public MMSStatus handleIncommingMessage(MMSService service, MMSMessage message) {
    System.out.println("--- MMS Message received ---");
    System.out.println(message);
    System.out.println("----------------------------");
    return MMSStatus.SUCCESS;
  }

  public MMSStatus handleDeliveryReport(MMSService service, MMSDeliveryReport report) {
    System.out.println("--- MMS Delivery Report received ---");
    System.out.println(report);
    System.out.println("------------------------------------");
    return MMSStatus.SUCCESS;
  }

  public MMSStatus handleReadReport(MMSService service, MMSReadReport report) {
    System.out.println("--- MMS Read Report received ---");
    System.out.println(report);
    System.out.println("--------------------------------");
    return MMSStatus.SUCCESS;
  }
  
  public void handleNotification(MMSService src, MMSNotification notification) 
  {
  }
}
